﻿using SlnMesnac.RfidUpload.UI.viewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace SlnMesnac.RfidUpload.UI
{
    /// <summary>
    /// TransferOrderWindow.xaml 的交互逻辑
    /// </summary>
    public partial class ContainerTransferOrderWindow : Window
    {
        //private TransferOrderViewModel orderViewModel = new TransferOrderViewModel();
        public ContainerTransferOrderWindow(ContainerTransferOrderViewModel containerOrderViewModel)
        {
            InitializeComponent();

            this.DataContext = containerOrderViewModel;
            containerOrderViewModel.SuccessEvent += () =>
            {
                this.Close();
            };
        }
    }
}
