﻿using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：T14-GEN3-7895
* 命名空间：SlnMesnac.RfidUpload.Model.apiParam
* 唯一标识：fbf869f5-fcea-44c6-b350-7b243fa26d45
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2024-07-02 16:00:16
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.RfidUpload.Model.apiParam
{
    public class ApiResult
    {
        public string status { get; set; }

        public string msg { get; set; }

        public static ApiResult Success()
        {
            return new ApiResult { status = "200",msg = "向客户端发送消息成功！" };
        }

        public static ApiResult Fail()
        {
            return new ApiResult { status = "101", msg = "向客户端发送消息失败！" };
        }

        public static ApiResult TimeOut()
        {
            return new ApiResult { status = "201", msg = "向客户端发送消息成功，接收客户端消息超时！" };
        }

        public static ApiResult Error()
        {
            return new ApiResult { status = "100", msg = "向客户端发送消息失败！" };
        }
    }
}
